Skip to main content

Get all Listings

GEThttps://api.propexo.com/crm/v1/listings/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The CRM system of record

community_id string

The Propexo unique identifier for the community

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the listing

    created_atstringrequired

    The date record first entered Propexo

    updated_atstringrequired

    The date record was last updated in Propexo

    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    x_idstringrequired

    The external ID from the integration vendor

    x_community_idstring | nullnullablerequired

    The external ID of the community from the integration vendor

    available_datestring | nullnullablerequired

    The date that the listing becomes available

    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the listing

    bathrooms_fullnumber | nullnullablerequired

    The number of full bathrooms associated with the listing

    bathrooms_halfnumber | nullnullablerequired

    The number of half bathrooms associated with the listing

    bedroomsstring | nullnullablerequired

    The number of bedrooms associated with the listing

    building_namestring | nullnullablerequired

    The building name associated with the listing

    citystring | nullnullablerequired

    The city associated with the listing

    custom_data object | nullrequired
    object
    floorstring | nullnullablerequired

    The floor number/name associated with the listing

    image_urls_arraystring[]nullablerequired
    is_furnishedboolean | nullnullablerequired

    Whether the listing is furnished

    is_listedboolean | nullnullablerequired

    Whether the listing is listed

    notesstring | nullnullablerequired

    Notes associated with the listing

    numberstring | nullnullablerequired

    The unit number

    property_descriptionstring | nullnullablerequired

    Description of the property

    publish_datestring | nullnullablerequired

    The date the listing was published

    rent_amount_in_centsnumber | nullnullablerequired

    The rent amount in cents for the listing

    Example: 100000
    square_feetnumber | nullnullablerequired

    The square footage of the listing

    statestring | nullnullablerequired

    The state associated with the listing

    status_rawstring | nullnullablerequired

    The raw status associated with the listing

    street_address_1string | nullnullablerequired

    The first address line associated with the listing

    street_address_2string | nullnullablerequired

    The second address line associated with the listing

    titlestring | nullnullablerequired

    The title associated with the listing

    urlstring | nullnullablerequired

    The application url associated with the listing

    video_urlsstring[]nullablerequired
    zipstring | nullnullablerequired

    The zip code associated with the listing

    community_idstring | nullnullablerequired

    The Propexo unique identifier for the community

    integration_idstringrequired

    The Propexo unique identifier for the integration

    integration_vendorEnum12required

    The CRM system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /crm/v1/listings/
curl https://api.propexo.com/crm/v1/listings/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_community_id": "string",
"available_date": "string",
"bathrooms": "string",
"bathrooms_full": 0,
"bathrooms_half": 0,
"bedrooms": "string",
"building_name": "string",
"city": "string",
"custom_data": "Unknown Type: object,null",
"floor": "string",
"image_urls_array": "Unknown Type: array,null",
"is_furnished": true,
"is_listed": true,
"notes": "string",
"number": "string",
"property_description": "string",
"publish_date": "string",
"rent_amount_in_cents": 100000,
"square_feet": 0,
"state": "string",
"status_raw": "string",
"street_address_1": "string",
"street_address_2": "string",
"title": "string",
"url": "string",
"video_urls": "Unknown Type: array,null",
"zip": "string",
"community_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO"
}
]
}